Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Updates willen niet installeren  (gelezen 1874 keer)

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Gepost op: 2007/05/23, 08:05:17 »
Ik draai Feisty. Heb daarnaast enkele applicaties als VLC en Filezilla geinstalleerd. Ik krijg regelmatig de melding dat ik updates (466 beschikbaar) kan installeren. Maar als ik dat probeer krijg ik steeds de melding dat niet alle updates geinstalleerd kunnen worden en ik dan maar een distribution update moet doen. Dat probeer ik, alleen gaat dat volgens mij ook niet goed. Steeds nadat ik denk de updates erop te hebben komt de melding weer dat ik een distr.update moet doen om zoveel mogelijk updates binnen te halen. Ik heb hier screenshots van gemaakt. Weet niet zo goed hoe dit te ondervangen.

Offline Ruben

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #1 Gepost op: 2007/05/23, 08:10:02 »
Ga naar je terminal, en typ daar
Citaat
sudo gedit /etc/apt/sources.list
Copy hier de text die erin staat.

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #2 Gepost op: 2007/05/23, 08:16:46 »
Jij bent snel vanmorgen!  :-)
---
deb http://archive.ubuntu.com/ubuntu/ edgy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu/ edgy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
# deb http://nl.archive.ubuntu.com/ubuntu/ edgy universe
# deb-src http://nl.archive.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://nl.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
# deb-src http://nl.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu edgy-security main restricted
# deb http://security.ubuntu.com/ubuntu edgy-security universe
# deb-src http://security.ubuntu.com/ubuntu edgy-security universe
deb http://http.us.debian.org/debian stable main contrib non-free
---

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #3 Gepost op: 2007/05/23, 08:21:49 »
Vervang je sources.list eens door deze:
## 'Main' 'restricted' 'multiverse' 'universe' repositories
deb http://be.archive.ubuntu.com/ubuntu/ edgy main restricted multiverse universe
deb-src http://be.archive.ubuntu.com/ubuntu/ edgy main restricted multiverse universe
## Major bug fix updates produced after the final release of the distribution.
deb http://be.archive.ubuntu.com/ubuntu/ edgy-updates main restricted multiverse universe
deb-src http://be.archive.ubuntu.com/ubuntu/ edgy-updates main restricted multiverse universe
## 'security' repositories.
deb http://security.ubuntu.com/ubuntu edgy-security main restricted multiverse universe
deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted multiverse universe
## 'backports' repositories.
deb http://be.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
deb-src http://be.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
## 'cannonical commercial' RealPlayer10, Opera, DesktopSecure, ... and more to come
deb http://archive.canonical.com/ubuntu edgy-commercial main
## 'seveas' repositories.
deb http://mirror.ubuntulinux.nl edgy-seveas all
deb-src http://mirror.ubuntulinux.nl edgy-seveas all
doe daarna eens:
sudo apt-get update
sudo apt-get upgrade

Geeft ie nog steeds dezelfde foutmelding:
sudo apt-get dist-upgrade
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #4 Gepost op: 2007/05/23, 08:36:16 »
Ga ik vanavond even proberen. Ben inmiddels op mijn werk. Alvast bedankt voor de hulp!

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #5 Gepost op: 2007/05/23, 08:55:00 »
Citaat van: dennus
Ik draai Feisty. Heb daarnaast enkele applicaties als VLC en Filezilla geinstalleerd. Ik krijg regelmatig de melding dat ik updates (466 beschikbaar) kan installeren. Maar als ik dat probeer krijg ik steeds de melding dat niet alle updates geinstalleerd kunnen worden en ik dan maar een distribution update moet doen. Dat probeer ik, alleen gaat dat volgens mij ook niet goed. Steeds nadat ik denk de updates erop te hebben komt de melding weer dat ik een distr.update moet doen om zoveel mogelijk updates binnen te halen. Ik heb hier screenshots van gemaakt. Weet niet zo goed hoe dit te ondervangen.
@dennus je zegt "ik draai feisty": maar je bronnenlijst is edgy.
als je feisty draait is je bronnenlijst ook fiesty en niet edgy.
maak er zelf een met behulp van: http://www.ubuntu-nl.org/source-o-matic/

Citaat
sudo gedit /etc/apt/sources.list
in de terminal en copy/paste in de inhoud van de source-o-matic in het bestand. (de oude verwijderen)

daarna: doe daarna eens:
sudo apt-get update
sudo apt-get upgrade

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Updates willen niet installeren
« Reactie #6 Gepost op: 2007/05/23, 09:06:01 »
Citaat van: leoquant
@dennus je zegt "ik draai feisty": maar je bronnenlijst is edgy.
Vreemd. Weet je zeker dat je Feisty draait?
Dit kun je controleren met: lsb_release -a

En als het dan zo is, hoe heb je dan Feisty geinstalleerd? Dan kan niet via een verse installatie, anders had je wel een Feisty-source.list gehad.

Mijn idee is dat je bent begonnen met Edgy, maar ge-upgrade naar Feisty en dat er in dat proces iets verkeerd gegaan is. Kun je dit bevestigen?

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #7 Gepost op: 2007/05/23, 09:28:09 »
Zijn sources.list is volledig Edgy dus ik geloof nooit dat ie feisty heeft.
Tenzij hij Feisty installeerde en daarna zijn sources.list vervangen heeft door de standaard Edgy lijst ...
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #8 Gepost op: 2007/05/23, 09:36:25 »
Citaat van: bartek
Zijn sources.list is volledig Edgy dus ik geloof nooit dat ie feisty heeft.
Tenzij hij Feisty installeerde en daarna zijn sources.list vervangen heeft door de standaard Edgy lijst ...
we wachten vol spanning af....;)

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #9 Gepost op: 2007/05/23, 09:36:44 »
Ik heb inderdaad een upgrade naar Feisty gedaan. Dat heeft een aantal keer (ik bedoel updates) goed gewerkt. Daarna o.a. VLC en Filezilla geinstalleerd. Daar werd al gezegd dat de install niet geverifieerd kon worden. Gewoon gedaan via sudo apt-get install vlc. Dus ik denk dat het daar ergens fout gegaan is. En omdat ik nog een novice ben weet ik niet hoe dit op te lossen.

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #10 Gepost op: 2007/05/23, 09:43:39 »
In je sources.list is Feisty alvast niet terug te vinden; doe eens zoals markba voorstelt:
lsb_release -a
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Updates willen niet installeren
« Reactie #11 Gepost op: 2007/05/23, 09:44:34 »
Citaat van: dennus
Ik heb inderdaad een upgrade naar Feisty gedaan. Dat heeft een aantal keer (ik bedoel updates) goed gewerkt. Daarna o.a. VLC en Filezilla geinstalleerd. Daar werd al gezegd dat de install niet geverifieerd kon worden. Gewoon gedaan via sudo apt-get install vlc. Dus ik denk dat het daar ergens fout gegaan is. En omdat ik nog een novice ben weet ik niet hoe dit op te lossen.
Vraag 1: hoe heb je de upgrade van edgy naar feisty gedaan?

Vraag 2: kun je alsnog de output van het volgende commando posten:
lsb_release -a

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #12 Gepost op: 2007/05/23, 10:10:31 »
Van Edgy naar Feisty....  hmmm, hij gaf op een gegeven moment aan dat ik kon upgraden. Ik begin nu te twijfelen of het wel een FEISTY geworden is dan. Ik zal vanavond de uitkomst tonen.

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #13 Gepost op: 2007/05/23, 15:55:02 »
Ik kan niets meer doen. Ik probeer hem zojuist op te starten, en ik krijg een blauw scherm met de melding "Failed to start the X-server". Als ik hier doorklik  "the X server is now disabled. Restart GDM when it is correctly configured". Dan krijg ik de prompt, en als ik daar mijn gegevens invoer, zie ik "-bash: /dev/null: permission denied". Wordt het tijd om de boel opnieuw te installeren?  Of kan ik hem nog redden???

Ik zie zojuist dat ik nog wel de prompt krijg... ik probeer de SUDO opdrachten.

Ik heb dus EDGY.  En nu ben ik bang bang dat ik wat FEISTY dingen er op gezet heb, zoals de VLC en Filezilla.

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #14 Gepost op: 2007/05/23, 17:19:17 »
Geen probleem dennus er is steeds een oplossing. Doe nu eens:
sudo dpkg-reconfigure xserver-xorg

Met alles akkoord gaan.
Daarna:
sudo reboot
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #15 Gepost op: 2007/05/23, 17:28:59 »
Ik ben 'voor de net' alles even opnieuw aan het installeren. De Ubuntu 7.04 Feisty Fawn op een CD, en draaien met die handel. Ik laat het je weten!   Al denk ik dat het nu wel weer goed gaat natuurlijk... :-)

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #16 Gepost op: 2007/05/23, 17:34:09 »
Zo leer je het het beste dennus. Ik heb in 't begin ook een paar keer men systeem verziekt met onwetendheid en proberen.

Het commando dat ik je hierboven gegeven heb moet je zeker ergens opschrijven.
Als je pc weer moeilijk doet is dat een toverspreuk.
Voor de duidelijkheid:
sudo dpkg-reconfigure xserver-xorg
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

Offline dennus

  • Lid
  • Steunpunt: Nee
Updates willen niet installeren
« Reactie #17 Gepost op: 2007/05/23, 20:29:09 »
Ik zal zeker onthouden. Inmiddels draai ik de laatste versie. En die gaat goed. Is niet zo heel veel gedoe, dat Ubuntu installeren. Hij wordt steeds slimmer :-)